
QGIS Application - Bug report #14651

Authentication System: DISABLED. Resources authenticating via the system can not be accessed

2016-04-09 03:02 PM - Markus Neteler

Status: Closed

Priority: Low

Assignee:

Category: Authentication system

Affected QGIS version:2.14.1 Regression?: No

Operating System: Fedora Easy fix?: No

Pull Request or Patch supplied:No Resolution: up/downstream

Crashes QGIS or corrupts data:No Copied to github as #: 22615

Description

When starting QGIS 2.14.1, there is always this annoying error message:

"Authentication System: DISABLED. Resources authenticating via the system can not be accessed"

The Python console shows these errors:

2016-04-09T23:50:42    1    warning:/usr/lib64/python2.7/pkgutil.py:186: ImportWarning: Not importing directory

'/usr/lib64/python2.7/site-packages/mpl_toolkits': missing __init__.py

              file, filename, etc = imp.find_module(subname, path)

            traceback:  File "<string>", line 1, in <module>

              File "/usr/lib64/python2.7/site-packages/qgis/utils.py", line 306, in startPlugin

                plugins[packageName] = package.classFactory(iface)

              File "/home/neteler/.qgis2/python/plugins/MetaSearch/__init__.py", line 29, in classFactory

                from MetaSearch.plugin import MetaSearchPlugin

              File "/usr/lib64/python2.7/site-packages/qgis/utils.py", line 572, in _import

                mod = _builtin_import(name, globals, locals, fromlist, level)

              File "/home/neteler/.qgis2/python/plugins/MetaSearch/plugin.py", line 31, in <module>

                from MetaSearch.dialogs.maindialog import MetaSearchDialog

              File "/usr/lib64/python2.7/site-packages/qgis/utils.py", line 572, in _import

                mod = _builtin_import(name, globals, locals, fromlist, level)

              File "/home/neteler/.qgis2/python/plugins/MetaSearch/dialogs/maindialog.py", line 44, in <module>

                from owslib.csw import CatalogueServiceWeb

              File "/usr/lib64/python2.7/site-packages/qgis/utils.py", line 572, in _import

                mod = _builtin_import(name, globals, locals, fromlist, level)

              File "/usr/lib/python2.7/site-packages/owslib/csw.py", line 27, in <module>

                from owslib.util import OrderedDict

              File "/usr/lib64/python2.7/site-packages/qgis/utils.py", line 572, in _import

                mod = _builtin_import(name, globals, locals, fromlist, level)

              File "/usr/lib/python2.7/site-packages/owslib/util.py", line 15, in <module>

                import pytz

              File "/usr/lib64/python2.7/site-packages/qgis/utils.py", line 572, in _import

                mod = _builtin_import(name, globals, locals, fromlist, level)

              File "/usr/lib/python2.7/site-packages/pytz/__init__.py", line 29, in <module>

                from pkg_resources import resource_stream

              File "/usr/lib64/python2.7/site-packages/qgis/utils.py", line 572, in _import

                mod = _builtin_import(name, globals, locals, fromlist, level)

              File "/usr/lib/python2.7/site-packages/pkg_resources/__init__.py", line 3141, in <module>

                @_call_aside
              File "/usr/lib/python2.7/site-packages/pkg_resources/__init__.py", line 3127, in _call_aside

                f(*args, **kwargs)

              File "/usr/lib/python2.7/site-packages/pkg_resources/__init__.py", line 3166, in _initialize_master_working_set

                add_activation_listener(lambda dist: dist.activate())

              File "/usr/lib/python2.7/site-packages/pkg_resources/__init__.py", line 954, in subscribe

                callback(dist)

              File "/usr/lib/python2.7/site-packages/pkg_resources/__init__.py", line 3166, in <lambda>

                add_activation_listener(lambda dist: dist.activate())

              File "/usr/lib/python2.7/site-packages/pkg_resources/__init__.py", line 2666, in activate

                declare_namespace(pkg)

              File "/usr/lib/python2.7/site-packages/pkg_resources/__init__.py", line 2236, in declare_namespace

                _handle_ns(packageName, path_item)

              File "/usr/lib/python2.7/site-packages/pkg_resources/__init__.py", line 2171, in _handle_ns

                loader = importer.find_module(packageName)

2016-04-09T23:50:42    1    warning:/usr/lib64/python2.7/pkgutil.py:186: ImportWarning: Not importing directory

'/usr/lib/python2.7/site-packages/ndg': missing __init__.py

              file, filename, etc = imp.find_module(subname, path)

            traceback:  File "<string>", line 1, in <module>

              File "/usr/lib64/python2.7/site-packages/qgis/utils.py", line 306, in startPlugin

                plugins[packageName] = package.classFactory(iface)

              File "/home/neteler/.qgis2/python/plugins/MetaSearch/__init__.py", line 29, in classFactory

                from MetaSearch.plugin import MetaSearchPlugin

              File "/usr/lib64/python2.7/site-packages/qgis/utils.py", line 572, in _import

                mod = _builtin_import(name, globals, locals, fromlist, level)

              File "/home/neteler/.qgis2/python/plugins/MetaSearch/plugin.py", line 31, in <module>

                from MetaSearch.dialogs.maindialog import MetaSearchDialog

              File "/usr/lib64/python2.7/site-packages/qgis/utils.py", line 572, in _import

                mod = _builtin_import(name, globals, locals, fromlist, level)

              File "/home/neteler/.qgis2/python/plugins/MetaSearch/dialogs/maindialog.py", line 44, in <module>

                from owslib.csw import CatalogueServiceWeb

              File "/usr/lib64/python2.7/site-packages/qgis/utils.py", line 572, in _import

                mod = _builtin_import(name, globals, locals, fromlist, level)

              File "/usr/lib/python2.7/site-packages/owslib/csw.py", line 27, in <module>

                from owslib.util import OrderedDict

              File "/usr/lib64/python2.7/site-packages/qgis/utils.py", line 572, in _import

                mod = _builtin_import(name, globals, locals, fromlist, level)

              File "/usr/lib/python2.7/site-packages/owslib/util.py", line 15, in <module>

                import pytz

              File "/usr/lib64/python2.7/site-packages/qgis/utils.py", line 572, in _import

                mod = _builtin_import(name, globals, locals, fromlist, level)

              File "/usr/lib/python2.7/site-packages/pytz/__init__.py", line 29, in <module>

                from pkg_resources import resource_stream

              File "/usr/lib64/python2.7/site-packages/qgis/utils.py", line 572, in _import

                mod = _builtin_import(name, globals, locals, fromlist, level)

              File "/usr/lib/python2.7/site-packages/pkg_resources/__init__.py", line 3141, in <module>

                @_call_aside

              File "/usr/lib/python2.7/site-packages/pkg_resources/__init__.py", line 3127, in _call_aside

                f(*args, **kwargs)

              File "/usr/lib/python2.7/site-packages/pkg_resources/__init__.py", line 3166, in _initialize_master_working_set

                add_activation_listener(lambda dist: dist.activate())

              File "/usr/lib/python2.7/site-packages/pkg_resources/__init__.py", line 954, in subscribe
                callback(dist)

              File "/usr/lib/python2.7/site-packages/pkg_resources/__init__.py", line 3166, in <lambda>

                add_activation_listener(lambda dist: dist.activate())

              File "/usr/lib/python2.7/site-packages/pkg_resources/__init__.py", line 2666, in activate

                declare_namespace(pkg)

              File "/usr/lib/python2.7/site-packages/pkg_resources/__init__.py", line 2236, in declare_namespace

                _handle_ns(packageName, path_item)

              File "/usr/lib/python2.7/site-packages/pkg_resources/__init__.py", line 2171, in _handle_ns

                loader = importer.find_module(packageName)

System: Fedora 23, 64 bit.

History

#1 - 2016-04-12 11:44 PM - Alessandro Pasotti

- Priority changed from Normal to Low

The python messages are just warnings and come from metasearch plugin (please file a separate ticket and set metasearch category).

The warning message about the auth systems DISABLED indicates that your installation probably misses qca-ossl (OpenSSL plugin for QCA), it might be

a build or packaging issue.

#2 - 2016-11-20 06:47 AM - Markus Neteler

- Resolution set to up/downstream

- Status changed from Open to Closed

Thanks, Alessandro!

dnf install qca-ossl

solved the annoying authentication message. Essentially a packaging bug which I have reported to the Fedora maintainers (

https://bugzilla.redhat.com/show_bug.cgi?id=1396818).
